package com.ruixuan.isc.service.impl;
import java.util.List;

import com.ruixuan.common.utils.DateUtils;
import com.ruixuan.isc.entity.KuaishouRuleDetail;
import com.ruixuan.isc.mapper.KuaishouRuleDetailMapper;
import com.ruixuan.isc.service.IKuaishouRuleDetailService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


/**
 * 【请填写功能名称】Service业务层处理
 *
 * @author ruoyi
 * @date 2023-05-15
 */
@Service
public class KuaishouRuleDetailServiceImpl implements IKuaishouRuleDetailService
{
    @Autowired
    private KuaishouRuleDetailMapper kuaishouRuleDetailMapper;

    /**
     * 查询【请填写功能名称】
     *
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    @Override
    public KuaishouRuleDetail selectKuaishouRuleDetailById(Long id)
    {
        return kuaishouRuleDetailMapper.selectKuaishouRuleDetailById(id);
    }

    /**
     * 查询【请填写功能名称】列表
     *
     * @param kuaishouRuleDetail 【请填写功能名称】
     * @return 【请填写功能名称】
     */
    @Override
    public List<KuaishouRuleDetail> selectKuaishouRuleDetailList(KuaishouRuleDetail kuaishouRuleDetail)
    {
        return kuaishouRuleDetailMapper.selectKuaishouRuleDetailList(kuaishouRuleDetail);
    }

    /**
     * 新增【请填写功能名称】
     *
     * @param kuaishouRuleDetail 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int insertKuaishouRuleDetail(KuaishouRuleDetail kuaishouRuleDetail)
    {
        kuaishouRuleDetail.setCreateTime(DateUtils.getNowDate());
        return kuaishouRuleDetailMapper.insertKuaishouRuleDetail(kuaishouRuleDetail);
    }

    /**
     * 修改【请填写功能名称】
     *
     * @param kuaishouRuleDetail 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int updateKuaishouRuleDetail(KuaishouRuleDetail kuaishouRuleDetail)
    {
        kuaishouRuleDetail.setUpdateTime(DateUtils.getNowDate());
        return kuaishouRuleDetailMapper.updateKuaishouRuleDetail(kuaishouRuleDetail);
    }

    /**
     * 批量删除【请填写功能名称】
     *
     * @param ids 需要删除的【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteKuaishouRuleDetailByIds(Long[] ids)
    {
        return kuaishouRuleDetailMapper.deleteKuaishouRuleDetailByIds(ids);
    }

    /**
     * 删除【请填写功能名称】信息
     *
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteKuaishouRuleDetailById(Long id)
    {
        return kuaishouRuleDetailMapper.deleteKuaishouRuleDetailById(id);
    }
}

